QGIS Application - Bug report #6290
WMS and Proxy server issue
2012-08-31 03:57 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:1.8.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 15588
Description

We have an internal WMS server ( http://geognosis-vip/wms/wms.exe ) that we can access with several different clients. This being
internal does NOT require use of the proxy server to access.

Somehow, QGIS has picked up some proxy settings and filled them in (I'm 99% certain | didn't), but | guess they're wrong because when
| try and connect to the WMS it doesn't work.

In fact, what happens is, when | try and connect to the WMS it hangs QGIS, using fully 100% of a CPU core. If | close the WMS window
using the little "x", QGIS remains hung and using 100% of the core. | don't think trying to negotiate with a proxy using incorrect credentials
should cause the program to react so badly.

Note: | can work around this issue by disabling the proxy, or using the "exclude URLs" list.

p.s. | can't see an obvious "category" for this so have left it uncategorised.

History

#1 - 2012-08-31 04:21 AM - Jonathan Moules
A related issue: It seems to make numerous attempts to connect to the proxy server with the same credentials, even when the given credentials don't

already work. This results in the account being locked out, at least, with our network policy.

The correct thing to do would be to try once, and if the password is wrong, prompt the user for the correct password.

#2 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2014-06-21 03:45 AM - Jiirgen Fischer

- Status changed from Open to Feedback

Is this still valid?

#4 - 2014-06-24 05:02 AM - Paolo Cavallini

- Category set to Web Services clients/WMS

#5 - 2014-06-24 06:45 AM - Jiirgen Fischer
- Category deleted (Web Services clients/WMS)

#6 - 2014-06-28 07:42 AM - Jiirgen Fischer
http://geognosis-vip/wms/wms.exe

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2014-07-27 02:49 PM - Jiirgen Fischer
- Resolution set to worksforme
- Status changed from Feedback to Closed

closing for the lack of feedback.
